Bug 436181 - RFE: Add --archlist to yumdownloader to allow downloading packages that don't match running arch
RFE: Add --archlist to yumdownloader to allow downloading packages that don't...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Beta 435911
  Show dependency treegraph
 
Reported: 2008-03-05 14:41 EST by Jesse Keating
Modified: 2013-01-09 22:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 01:38:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add an archlist option to yumdownloader (1.40 KB, patch)
2008-03-05 14:59 EST, Jesse Keating
no flags Details | Diff

  None (edit)
Description Jesse Keating 2008-03-05 14:41:32 EST
Much like repoquery has a --archlist to allow you to query for specific arches
(including ones that don't match the arch you happen to be running), it would be
nice if yumdownloader had the same option.  In fact, this would be somewhat
necessary for how ppc trees get composed, where we need to be able to download
and fiddle with the ppc64 kernel from a ppc environment.
Comment 1 Jesse Keating 2008-03-05 14:59:51 EST
Created attachment 296921 [details]
Patch to add an archlist option to yumdownloader

And here is a patch to do this.
Comment 2 Seth Vidal 2008-03-06 15:01:52 EST
added in git. It'll be in the next yum-utils. If it is dire I can add it as a
temporary patch to yum-utils in rawhide and rebuild yum-utils w/it.

up to you.

Comment 3 Jesse Keating 2008-03-06 15:25:36 EST
It's pretty important to get ppc64 bootable so that we can test that it actually
works before the beta freeze, so yeah if I could get a build with it, that would
be very very helpful.
Comment 4 Seth Vidal 2008-03-06 15:42:38 EST
just tagged and will eventually be  building.

Note You need to log in before you can comment on or make changes to this bug.